Bug 1267766 - capsule installer generates invalid dhcp.conf for non local networks
Summary: capsule installer generates invalid dhcp.conf for non local networks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.1.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Peter Ondrejka
URL:
Whiteboard:
: 1397518 (view as bug list)
Depends On:
Blocks: 1317008
TreeView+ depends on / blocked
 
Reported: 2015-09-30 23:03 UTC by Stuart Auchterlonie
Modified: 2019-10-07 17:17 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:36:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:36:34 UTC
Foreman Issue Tracker 16949 None None None 2016-10-14 14:32:05 UTC
Red Hat Knowledge Base (Solution) 2129691 None None None 2016-01-19 09:40:19 UTC

Description Stuart Auchterlonie 2015-09-30 23:03:12 UTC
Description of problem:

Customer has a network setup as follows

<build_network> -- <dhcp_relay> -- <capsule>

The build network is in one subnet, and
the network infrastructure relays the dhcp
request to the capsule on another subnet.

The capsule has no interface in the subnet
used via the build network.

Capsule ip 10.140.13.67/24, interface eth0
Build network - 10.142.233.0/25

When you specify the ip ranges that are used
by the build network to capsule installer
it generates an invalid dhcp.conf file,
by defining the subnet based upon the interface
being given, and the pool range from the dhcp range
being provided

Version-Release number of selected component (if applicable):

Sat 6.1.2

How reproducible:

100%

Steps to Reproduce:
1. Run capsule installer with the following options in addition to 
   those usually required to install a capsule
   --dhcp                 "true"
   --dhcp-interface       "eth0"
   --dhcp-range "10.142.233.5 10.142.233.120"
   --dhcp-gateway "10.142.233.126"
2.
3.

Actual results:

Generate dhcp.conf is contains the following invalid stanza

~~~
subnet 10.140.13.0 netmask 255.255.255.0 {
  pool
  {
    range 10.142.233.5 10.142.233.120;
  }

  option subnet-mask 255.255.255.0;
  option routers 10.142.233.126;
}
~~~

As the pool range is outside of the subnet range
dhcpd throws an error

Expected results:

The pool range should be correctly defined within
the appropriate subnet stanza.

Additional info:

Comment 2 Bryan Kearney 2016-07-26 15:25:24 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 3 Bryan Kearney 2016-07-26 15:40:12 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 5 Stephen Benjamin 2016-10-14 14:32:04 UTC
Created redmine issue http://projects.theforeman.org/issues/16949 from this bug

Comment 6 Stephen Benjamin 2016-11-22 19:13:38 UTC
*** Bug 1397518 has been marked as a duplicate of this bug. ***

Comment 11 Stephen Benjamin 2018-06-05 13:47:21 UTC
It was recently fixed by someone in the community:

   https://github.com/theforeman/puppet-foreman_proxy/pull/422


Once this change makes a Satellite release, you would be able to do this by adding the additional options for network and netmask. For the example in comment #0, this installer command should create a valid DHCP configuration:


satellite-installer --foreman-proxy-dhcp="true" --foreman-proxy-dhcp-interface="eth0" --foreman-proxy-dhcp-range ="10.142.233.5 10.142.233.120" --foreman-proxy-dhcp-gateway="10.142.233.126" --foreman-proxy-dhcp-network="10.142.233.0" --foreman-proxy-dhcp-netmask="255.255.255.128"

Comment 12 pm-sat@redhat.com 2018-06-05 14:15:01 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/16949 has been resolved.

Comment 13 Michael Schwabe 2018-06-05 14:25:39 UTC
Thanks, Stephen, for providing this.

Cheers,
Michael

Comment 17 Peter Ondrejka 2019-03-27 15:53:43 UTC
Verified on Satellite 6.5 snap 21, satellite-installer configures dhcp correctly in capsule scenario using --forema-proxy-dhcp* options

Comment 20 errata-xmlrpc 2019-05-14 12:36:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.